AuthenticatedSymmetricCipher::BadState Class Reference

Exception thrown when the object is in the wrong state for the operation. More...

`#include <cryptlib.h>`

Inheritance diagram for AuthenticatedSymmetricCipher::BadState:

## Public Member Functions

| BadState (const std::string &name, const char *message)
| BadState (const std::string &name, const char *function, const char *state)
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Additional Inherited Members

Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED , INVALID_ARGUMENT , CANNOT_FLUSH , DATA_INTEGRITY_CHECK_FAILED , INVALID_DATA_FORMAT , IO_ERROR , OTHER_ERROR }
| Error types or categories. More...

## Detailed Description

Exception thrown when the object is in the wrong state for the operation.

this indicates that a member function was called in the wrong state, for example trying to encrypt a message before having set the key or IV

Definition at line 1333 of file cryptlib.h.

## Constructor & Destructor Documentation

## BadState() [1/2]

AuthenticatedSymmetricCipher::BadState::BadState | ( | const std::string & | name,
|  | const char * | message )

inline explicit

Definition at line 1336 of file cryptlib.h.

## BadState() [2/2]

AuthenticatedSymmetricCipher::BadState::BadState | ( | const std::string & | name,
|  | const char * | function,
|  | const char * | state )

inline explicit

Definition at line 1337 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h